Subject: bug#25547: 25.1.91; emacsclient -c creates frames on the wrong display

From: Eliza Velasquez <[email-masked]>
Date: Tue, 3 Nov 2020 10:36:47 -0800

Okay, I'll try to work on this today and see if I can get anywhere with it.

On Mon, Nov 2, 2020 at 4:56 PM Stefan Monnier <[email-masked]> wrote:
>
> > This seems like it might be tricky to solve properly. My guess from
> > looking at the emacsclient source is that a new option would be
> > required in order to maintain backwards compatibility, maybe something
> > like `--smart-create-frame` or `-C`, which would behave as in the
> > expected behavior of the bug report.
>
> Maybe we don't need a special option: we should be able to detect this
> situation when `-c` is passed from an emacsclient running in a "dumb
> tty".
>
> IOW it might be a simple matter of tweaking server.el for the case where
> `tty-type` is `dumb` and the `selected-frame` is a non-GUI frame, in
> which case we'll just want to create a new tty frame in the same
> terminal as that of the `selected-frame`.
>
>
>         Stefan
>